# Type alias Structure<C>

Structure<C>: {
artifacts: (ContractObject & Project.LoadMigrate.Batch.Artifact<C> & {
db: {
callBytecode: Resources.IdObject<"bytecodes">;
contract: Resources.IdObject<"contracts">;
createBytecode: Resources.IdObject<"bytecodes">;
};
networks?: {
[networkId: string]: _;
};
})[];
network: Project.LoadMigrate.Batch.Network<C>;
}

#### Type Parameters

- #### C extends Project.LoadMigrate.Batch.Config

#### Type declaration

- ##### artifacts: (ContractObject & Project.LoadMigrate.Batch.Artifact<C> & {
  db: {
  callBytecode: Resources.IdObject<"bytecodes">;
  contract: Resources.IdObject<"contracts">;
  createBytecode: Resources.IdObject<"bytecodes">;
  };
  networks?: {
  [networkId: string]: _;
  };
  })[]

- ##### network: Project.LoadMigrate.Batch.Network<C>

- Defined in packages/db/src/project/loadMigrate/batch.ts:56

Generated using TypeDoc